# Options

We have some kind of options for each model that you can set by checkboxes in the top section

![](https://blobscdn.gitbook.com/v0/b/gitbook-28427.appspot.com/o/assets%2F-LLJWqvJtjL4p5b0wMai%2F-LLWRWxKv9loOlOSa9X_%2F-LLWT7E9RzVFT4Cvr5ei%2FScreen%20Shot%202018-09-04%20at%202.35.39%20AM.png?alt=media\&token=a10e3fdc-5ea2-4717-95b7-50931101ec93)

| Property           | Type    | Description                                                                                                                                                |
| ------------------ | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| validateUpsert     | Boolean | Set this property to true to ensure that returns an error when validation fails. Set this property to false to prevent from calling any validators at all. |
| allowEternalTokens | Boolean | Allow access tokens that never expire.                                                                                                                     |
| Generate Id        | Boolean | Prevent Clients from setting the auto-generated ID value manually.                                                                                         |
| Id injection       | Boolean | Whether to automatically add an id property to the model.                                                                                                  |

We have more options when you click on setting button for each property. Below modal shows additional options.

![](https://blobscdn.gitbook.com/v0/b/gitbook-28427.appspot.com/o/assets%2F-LLJWqvJtjL4p5b0wMai%2F-LLWUJzM4d-4KA2A-naf%2F-LLWUhUubre-T_3HmoFj%2FScreen%20Shot%202018-09-04%20at%202.40.48%20AM.png?alt=media\&token=1b07ac60-c9dc-4a6f-9277-5cfb4709a36d)

| Key           | Required | Type    | Description                                                                                                                                                                  |
| ------------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| default       | No       | String  | Default value is field name.                                                                                                                                                 |
| hidden        | No       | Boolean | Hidden model from admin dashboard and API.                                                                                                                                   |
| defaultColumn | No       | Boolean | Property can be default column in admin dashboard model list                                                                                                                 |
| Admin options | -        | -       | For each ui types you can set extra options based on your need. for example when you set your property ui type to slider we prepare range slider options you need and so on. |

{% content-ref url="/pages/-Lz7-hW\_mfzFz0uXqxPZ" %}
[Validations](/models/validations.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hormo.studio/models/options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
